# Class Thelia\Model\map\FolderVersionTableMap | thelia

# Class FolderVersionTableMap

This class defines the structure of the 'folder_version' table.

This map class is used by Propel to do runtime db structure discovery. For example, the createSelectSql() method checks the type of a given column used in an ORDER BY clause to know whether it needs to apply SQL to make the ORDER BY case-insensitive (i.e. if it's a text column type).

  TableMap
  Thelia\Model\map\FolderVersionTableMap

Namespace: Thelia\Model\map
Package: propel\generator\Thelia\Model\map
Located at core/lib/Thelia/Model/map/FolderVersionTableMap.php

Methods summary

`public`

# `initialize( )`

Initialize the table attributes, columns and validators Relations are not initialized by this method since they are lazy loaded

Initialize the table attributes, columns and validators Relations are not initialized by this method since they are lazy loaded

#### Throws

`PropelException`

`public` | # `buildRelations( )` Build the RelationMap objects for this table relationships Build the RelationMap objects for this table relationships

Constants summary
`string` | `CLASS_NAME` | `'Thelia.Model.map.FolderVersionTableMap'` | # The (dot-path) name of this class The (dot-path) name of this class